<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="pl">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.7"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Robomap: Dokumentacja pliku ReaderThr.cpp</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectalign">
   <div id="projectname">Robomap<span id="projectnumber">&#160;0.1</span>
   </div>
   <div id="projectbrief">RM</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Wygenerowano przez Doxygen 1.9.7 -->
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('',false,false,'search.php','Szukaj');
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('_reader_thr_8cpp.html',''); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<div class="header">
  <div class="headertitle"><div class="title">Dokumentacja pliku ReaderThr.cpp</div></div>
</div><!--header-->
<div class="contents">

<p>Definicje metod klasy <a class="el" href="class_reader_thr.html" title="Obiekt czytający z portu szeregowego.">ReaderThr</a>.  
<a href="#details">Więcej...</a></p>
<div class="textblock"><code>#include &quot;<a class="el" href="_reader_thr_8hpp_source.html">ReaderThr.hpp</a>&quot;</code><br />
</div><div class="textblock"><div class="dynheader">
Wykres zależności załączania dla ReaderThr.cpp:</div>
<div class="dyncontent">
<div class="center"><img src="_reader_thr_8cpp__incl.png" border="0" usemap="#a_reader_thr_8cpp" alt=""/></div>
<map name="a_reader_thr_8cpp" id="a_reader_thr_8cpp">
<area shape="rect" title="Definicje metod klasy ReaderThr." alt="" coords="494,5,601,31"/>
<area shape="rect" href="_reader_thr_8hpp.html" title="Definicja klasy ReaderThr." alt="" coords="494,79,601,104"/>
<area shape="poly" title=" " alt="" coords="550,31,550,65,545,65,545,31"/>
<area shape="rect" title=" " alt="" coords="455,152,527,177"/>
<area shape="poly" title=" " alt="" coords="540,106,511,143,507,140,536,103"/>
<area shape="rect" href="_serial_port_8hpp.html" title="Definicja klasy SerialPort." alt="" coords="552,152,655,177"/>
<area shape="poly" title=" " alt="" coords="559,103,588,140,584,143,555,106"/>
<area shape="rect" title=" " alt="" coords="492,299,547,324"/>
<area shape="poly" title=" " alt="" coords="552,178,540,180,438,185,269,191,104,203,45,214,26,220,15,227,9,238,11,248,22,257,41,265,98,280,172,291,341,303,478,307,478,312,341,308,172,296,96,285,39,271,19,261,7,251,3,238,11,224,23,215,44,209,103,198,269,185,438,179,539,175,551,173"/>
<area shape="rect" title=" " alt="" coords="25,225,97,251"/>
<area shape="poly" title=" " alt="" coords="552,178,540,180,421,194,327,202,232,211,111,228,110,223,231,205,326,197,420,189,539,175,551,173"/>
<area shape="rect" title=" " alt="" coords="121,225,248,251"/>
<area shape="poly" title=" " alt="" coords="553,178,540,180,262,227,261,221,539,175,552,173"/>
<area shape="rect" title=" " alt="" coords="273,225,342,251"/>
<area shape="poly" title=" " alt="" coords="556,180,357,227,355,222,555,175"/>
<area shape="rect" title=" " alt="" coords="366,225,427,251"/>
<area shape="poly" title=" " alt="" coords="571,180,442,224,440,219,569,175"/>
<area shape="rect" title=" " alt="" coords="451,225,510,251"/>
<area shape="poly" title=" " alt="" coords="585,180,514,221,511,216,582,175"/>
<area shape="rect" title=" " alt="" coords="535,225,592,251"/>
<area shape="poly" title=" " alt="" coords="599,179,579,215,574,212,594,176"/>
<area shape="rect" title=" " alt="" coords="616,225,673,251"/>
<area shape="poly" title=" " alt="" coords="613,176,633,212,629,215,608,179"/>
<area shape="rect" title=" " alt="" coords="697,225,784,251"/>
<area shape="poly" title=" " alt="" coords="627,175,707,217,705,221,624,180"/>
<area shape="rect" title=" " alt="" coords="808,225,887,251"/>
<area shape="poly" title=" " alt="" coords="643,175,796,219,794,224,642,180"/>
<area shape="rect" title=" " alt="" coords="911,225,978,251"/>
<area shape="poly" title=" " alt="" coords="656,173,899,223,899,223,898,228,898,228,655,178"/>
<area shape="rect" href="_robot_data_8hpp.html" title="Definicja klasy RobotData." alt="" coords="1125,225,1231,251"/>
<area shape="poly" title=" " alt="" coords="655,168,851,189,1111,223,1111,228,851,195,655,174"/>
<area shape="rect" href="odbieranie_8hh.html" title=" " alt="" coords="1002,225,1101,251"/>
<area shape="poly" title=" " alt="" coords="655,171,989,222,988,228,654,176"/>
<area shape="rect" href="transparam_8hh.html" title=" " alt="" coords="1255,225,1359,251"/>
<area shape="poly" title=" " alt="" coords="655,167,904,186,1070,202,1242,223,1241,228,1069,208,903,191,655,172"/>
<area shape="rect" title=" " alt="" coords="1149,299,1207,324"/>
<area shape="poly" title=" " alt="" coords="1181,251,1181,285,1175,285,1175,251"/>
<area shape="poly" title=" " alt="" coords="1002,251,990,253,747,287,561,308,560,303,746,281,990,248,1001,246"/>
<area shape="rect" title=" " alt="" coords="1270,299,1345,324"/>
<area shape="poly" title=" " alt="" coords="1310,251,1310,285,1305,285,1305,251"/>
</map>
</div>
</div>
<p><a href="_reader_thr_8cpp_source.html">Idź do kodu źródłowego tego pliku.</a></p>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="dir_4aa64b0872d36146e049722e293482e3.html">prj</a></li><li class="navelem"><a class="el" href="dir_400757c3a0df52e783ed9699284f29ce.html">src</a></li><li class="navelem"><a class="el" href="_reader_thr_8cpp.html">ReaderThr.cpp</a></li>
    <li class="footer">Wygenerowano przez <a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.7 </li>
  </ul>
</div>
</body>
</html>
